Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IBoid

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent
                  igeo.IParticleAgent
                      igeo.IBoid

All Implemented Interfaces:
  IDynamics, IParameter, IParticleI, ISubobject, ITransformable, IVecI, IVecOp

    public class IBoid

extends IParticleAgent

Class of an agent based on one point, extending IPoint and implements IDynamics

Field Summary
`double` | `alignmentDist`
`double` | `alignmentMaxVelocity`
`double` | `alignmentRatio`
`double` | `coherenceRatio`
`double` | `neighborDist`
`java.util.ArrayList<IBoid>` | `neighbors`
`double` | `randomVelocityPercent`
`double` | `randomVelocityRange`
`double` | `separationDist`
`double` | `separationRatio`

Fields inherited from class igeo.IParticleAgent
`frc, particle, vel`

Fields inherited from class igeo.IPointAgent
`point, pos`

Fields inherited from class igeo.IAgent
`alive, duration, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IBoid()`
`IBoid(double x, double y, double z)`
`IBoid(IBoid b)`
`IBoid(IVecI pt)`

Method Summary
`IBoid` | `add(double x, double y, double z)`
`IBoid` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoid` | `add(IVecI v)`
`IBoid` | `add(IVecI v, double f)` scale add
`IBoid` | `add(IVecI v, IDoubleI f)` scale add
`void` | `align()`
`IBoid` | `clr(java.awt.Color c)`
`IBoid` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IBoid` | `clr(double dgray)`
`IBoid` | `clr(double dgray, double dalpha)`
`IBoid` | `clr(double dr, double dg, double db)`
`IBoid` | `clr(double dr, double dg, double db, double da)`
`IBoid` | `clr(float fgray)`
`IBoid` | `clr(float fgray, float falpha)`
`IBoid` | `clr(float fr, float fg, float fb)`
`IBoid` | `clr(float fr, float fg, float fb, float fa)`
`IBoid` | `clr(int gray)`
`IBoid` | `clr(int gray, int alpha)`
`IBoid` | `clr(int r, int g, int b)`
`IBoid` | `clr(int r, int g, int b, int a)`
`void` | `cohere()`
`IBoid` | `cp()` alias of dup()
`IBoid` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IBoid` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoid` | `cp(IVecI v)`
`IBoid` | `div(double v)`
`IBoid` | `div(IDoubleI v)`
`IBoid` | `dup()` methods of IVecI
`IBoid` | `flip()` alias of neg
`void` | `flock()`
`IBoid` | `hide()`
`IBoid` | `hsb(double h, double s, double b)`
`IBoid` | `hsb(double h, double s, double b, double a)`
`IBoid` | `hsb(float h, float s, float b)`
`IBoid` | `hsb(float h, float s, float b, float a)`
`void` | `interact(java.util.ArrayList<IDynamics> dynamics)` behavior definition of interaction with other dynamic objects.
`IBoid` | `layer(ILayer l)` Set layer by ILayer object
`IBoid` | `len(double l)`
`IBoid` | `len(IDoubleI l)`
`IBoid` | `mirror(IVecI planeDir)` mirror is alias of ref
`IBoid` | `mirror(IVecI center, IVecI planeDir)`
`IBoid` | `mul(double v)`
`IBoid` | `mul(IDoubleI v)`
`IBoid` | `mv(double x, double y, double z)` mv() is alias of add()
`IBoid` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoid` | `mv(IVecI v)`
`IBoid` | `name(java.lang.String nm)` methods of IObject
`IBoid` | `neg()`
`IBoid` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IBoid` | `ref(IVecI center, IVecI planeDir)`
`IBoid` | `rev()` alias of neg()
`IBoid` | `rot(IVecI axis, double angle)`
`IBoid` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IBoid` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IBoid` | `rot(IVecI center, IVecI axis, double angle)`
`IBoid` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center
`IBoid` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IBoid` | `scale(double f)`
`IBoid` | `scale(IDoubleI f)` alias of mul
`IBoid` | `scale(IVecI center, double f)`
`IBoid` | `scale(IVecI center, IDoubleI f)`
`IBoid` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IBoid` | `scale1d(IVecI axis, IDoubleI f)`
`IBoid` | `scale1d(IVecI center, IVecI axis, double f)`
`IBoid` | `scale1d(IVecI center, IVecI axis, IDoubleI f)`
`void` | `separate()`
`IBoid` | `set(double x, double y, double z)`
`IBoid` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoid` | `set(IVecI v)`
`IBoid` | `setColor(java.awt.Color c)`
`IBoid` | `setColor(java.awt.Color c, int alpha)`
`IBoid` | `setColor(double dgray)`
`IBoid` | `setColor(double dgray, double dalpha)`
`IBoid` | `setColor(double dr, double dg, double db)`
`IBoid` | `setColor(double dr, double dg, double db, double da)`
`IBoid` | `setColor(float fgray)`
`IBoid` | `setColor(float fgray, float falpha)`
`IBoid` | `setColor(float fr, float fg, float fb)`
`IBoid` | `setColor(float fr, float fg, float fb, float fa)`
`IBoid` | `setColor(int gray)`
`IBoid` | `setColor(int gray, int alpha)`
`IBoid` | `setColor(int r, int g, int b)`
`IBoid` | `setColor(int r, int g, int b, int a)`
`IBoid` | `setHSBColor(double h, double s, double b)`
`IBoid` | `setHSBColor(double h, double s, double b, double a)`
`IBoid` | `setHSBColor(float h, float s, float b)`
`IBoid` | `setHSBColor(float h, float s, float b, float a)`
`IBoid` | `setSize(double sz)` methods of IPoint
`IBoid` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IBoid` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IBoid` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)`
`IBoid` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IBoid` | `shearXY(double sxy, double syx)`
`IBoid` | `shearXY(IDoubleI sxy, IDoubleI syx)`
`IBoid` | `shearXY(IVecI center, double sxy, double syx)`
`IBoid` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)`
`IBoid` | `shearYZ(double syz, double szy)`
`IBoid` | `shearYZ(IDoubleI syz, IDoubleI szy)`
`IBoid` | `shearYZ(IVecI center, double syz, double szy)`
`IBoid` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)`
`IBoid` | `shearZX(double szx, double sxz)`
`IBoid` | `shearZX(IDoubleI szx, IDoubleI sxz)`
`IBoid` | `shearZX(IVecI center, double szx, double sxz)`
`IBoid` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)`
`IBoid` | `show()`
`IBoid` | `size(double sz)`
`IBoid` | `sub(double x, double y, double z)`
`IBoid` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoid` | `sub(IVecI v)`
`IBoid` | `transform(IMatrix3I mat)`
`IBoid` | `transform(IMatrix4I mat)`
`IBoid` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)`
`IBoid` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)`
`IBoid` | `translate(double x, double y, double z)` translate() is alias of add()
`IBoid` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoid` | `translate(IVecI v)`
`IBoid` | `unit()`

Methods inherited from class igeo.IParticleAgent
`acc, acceleration, add, add, addForce, decay, decay, fix, force, force, frc, frc, fric, fric, friction, friction, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, mass, mass, pos, pos, position, position, pull, push, reset, resetForce, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, unfix, vel, vel, velocity, velocity`

Methods inherited from class igeo.IPointAgent
`angle, angle, angle, angle, angle, angle, bisect, cross, dif, diff, dist, dist, dist, dist2, dist2, dist2, dot, dot, dot, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getSize, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mid, nml, nml, size, sum, sum, sum, sum, sum, sum, to2d, to4d, to4d, to4d, toString, x, y, z, zero`

Methods inherited from class igeo.IAgent
`addDynamics, alive, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, createGraphic, deleteGraphic, getColor, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### neighborDist

    public double neighborDist

### separationDist

    public double separationDist

### separationRatio

    public double separationRatio

### alignmentDist

    public double alignmentDist

### alignmentRatio

    public double alignmentRatio

### alignmentMaxVelocity

    public double alignmentMaxVelocity

### coherenceRatio

    public double coherenceRatio

### randomVelocityPercent

    public double randomVelocityPercent

### randomVelocityRange

    public double randomVelocityRange

### neighbors

    public java.util.ArrayList<IBoid> neighbors

Constructor Detail

### IBoid

    public IBoid()

### IBoid

    public IBoid(IVecI pt)

### IBoid

    public IBoid(double x,
                 double y,
                 double z)

### IBoid

    public IBoid(IBoid b)

Method Detail

### flock

    public void flock()

### separate

    public void separate()

### align

    public void align()

### cohere

    public void cohere()

### interact

    public void interact(java.util.ArrayList<IDynamics> dynamics)

  Description copied from interface: `IDynamics`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IAgent`

### dup

    public IBoid dup()

  methods of IVecI

  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IParticleAgent`

### set

    public IBoid set(IVecI v)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticleAgent`

### set

    public IBoid set(double x,
                     double y,
                     double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticleAgent`

### set

    public IBoid set(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticleAgent`

### add

    public IBoid add(double x,
                     double y,
                     double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleAgent`

### add

    public IBoid add(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleAgent`

### add

    public IBoid add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleAgent`

### sub

    public IBoid sub(double x,
                     double y,
                     double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticleAgent`

### sub

    public IBoid sub(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticleAgent`

### sub

    public IBoid sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticleAgent`

### mul

    public IBoid mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticleAgent`

### mul

    public IBoid mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticleAgent`

### div

    public IBoid div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticleAgent`

### div

    public IBoid div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticleAgent`

### neg

    public IBoid neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IParticleAgent`

### rev

    public IBoid rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IParticleAgent`

### flip

    public IBoid flip()

  Description copied from interface: `ITransformable`
  alias of neg

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IParticleAgent`

### add

    public IBoid add(IVecI v,
                     double f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleAgent`

### add

    public IBoid add(IVecI v,
                     IDoubleI f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticleAgent`

### len

    public IBoid len(IDoubleI l)

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IParticleAgent`

### len

    public IBoid len(double l)

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IParticleAgent`

### unit

    public IBoid unit()

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IParticleAgent`

### rot

    public IBoid rot(IVecI axis,
                     IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleAgent`

### rot

    public IBoid rot(IVecI axis,
                     double angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleAgent`

### rot

    public IBoid rot(IVecI center,
                     IVecI axis,
                     double angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleAgent`

### rot

    public IBoid rot(IVecI center,
                     IVecI axis,
                     IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around axis vector and center

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleAgent`

### rot

    public IBoid rot(IVecI axis,
                     IVecI destDir)

  Description copied from interface: `ITransformable`
  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleAgent`

### rot

    public IBoid rot(IVecI center,
                     IVecI axis,
                     IVecI destPt)

  Description copied from interface: `ITransformable`
  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticleAgent`

### scale

    public IBoid scale(IDoubleI f)

  Description copied from interface: `ITransformable`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleAgent`

### scale

    public IBoid scale(double f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleAgent`

### scale

    public IBoid scale(IVecI center,
                       IDoubleI f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleAgent`

### scale

    public IBoid scale(IVecI center,
                       double f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticleAgent`

### scale1d

    public IBoid scale1d(IVecI axis,
                         double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleAgent`

### scale1d

    public IBoid scale1d(IVecI axis,
                         IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleAgent`

### scale1d

    public IBoid scale1d(IVecI center,
                         IVecI axis,
                         double f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleAgent`

### scale1d

    public IBoid scale1d(IVecI center,
                         IVecI axis,
                         IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticleAgent`

### ref

    public IBoid ref(IVecI planeDir)

  Description copied from interface: `ITransformable`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticleAgent`

### ref

    public IBoid ref(IVecI center,
                     IVecI planeDir)

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticleAgent`

### mirror

    public IBoid mirror(IVecI planeDir)

  Description copied from interface: `ITransformable`
  mirror is alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticleAgent`

### mirror

    public IBoid mirror(IVecI center,
                        IVecI planeDir)

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticleAgent`

### shear

    public IBoid shear(double sxy,
                       double syx,
                       double syz,
                       double szy,
                       double szx,
                       double sxz)

  Description copied from interface: `ITransformable`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleAgent`

### shear

    public IBoid shear(IDoubleI sxy,
                       IDoubleI syx,
                       IDoubleI syz,
                       IDoubleI szy,
                       IDoubleI szx,
                       IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleAgent`

### shear

    public IBoid shear(IVecI center,
                       double sxy,
                       double syx,
                       double syz,
                       double szy,
                       double szx,
                       double sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleAgent`

### shear

    public IBoid shear(IVecI center,
                       IDoubleI sxy,
                       IDoubleI syx,
                       IDoubleI syz,
                       IDoubleI szy,
                       IDoubleI szx,
                       IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticleAgent`

### shearXY

    public IBoid shearXY(double sxy,
                         double syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleAgent`

### shearXY

    public IBoid shearXY(IDoubleI sxy,
                         IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleAgent`

### shearXY

    public IBoid shearXY(IVecI center,
                         double sxy,
                         double syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleAgent`

### shearXY

    public IBoid shearXY(IVecI center,
                         IDoubleI sxy,
                         IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticleAgent`

### shearYZ

    public IBoid shearYZ(double syz,
                         double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleAgent`

### shearYZ

    public IBoid shearYZ(IDoubleI syz,
                         IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleAgent`

### shearYZ

    public IBoid shearYZ(IVecI center,
                         double syz,
                         double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleAgent`

### shearYZ

    public IBoid shearYZ(IVecI center,
                         IDoubleI syz,
                         IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticleAgent`

### shearZX

    public IBoid shearZX(double szx,
                         double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleAgent`

### shearZX

    public IBoid shearZX(IDoubleI szx,
                         IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleAgent`

### shearZX

    public IBoid shearZX(IVecI center,
                         double szx,
                         double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleAgent`

### shearZX

    public IBoid shearZX(IVecI center,
                         IDoubleI szx,
                         IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticleAgent`

### translate

    public IBoid translate(double x,
                           double y,
                           double z)

  Description copied from interface: `ITransformable`
  translate() is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticleAgent`

### translate

    public IBoid translate(IDoubleI x,
                           IDoubleI y,
                           IDoubleI z)

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticleAgent`

### translate

    public IBoid translate(IVecI v)

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticleAgent`

### transform

    public IBoid transform(IMatrix3I mat)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleAgent`

### transform

    public IBoid transform(IMatrix4I mat)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleAgent`

### transform

    public IBoid transform(IVecI xvec,
                           IVecI yvec,
                           IVecI zvec)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleAgent`

### transform

    public IBoid transform(IVecI xvec,
                           IVecI yvec,
                           IVecI zvec,
                           IVecI translate)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticleAgent`

### mv

    public IBoid mv(double x,
                    double y,
                    double z)

  Description copied from interface: `ITransformable`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticleAgent`

### mv

    public IBoid mv(IDoubleI x,
                    IDoubleI y,
                    IDoubleI z)

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticleAgent`

### mv

    public IBoid mv(IVecI v)

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticleAgent`

### cp

    public IBoid cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleAgent`

### cp

    public IBoid cp(double x,
                    double y,
                    double z)

  Description copied from interface: `ITransformable`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleAgent`

### cp

    public IBoid cp(IDoubleI x,
                    IDoubleI y,
                    IDoubleI z)

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleAgent`

### cp

    public IBoid cp(IVecI v)

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticleAgent`

### setSize

    public IBoid setSize(double sz)

  methods of IPoint

  Overrides:
    `setSize` in class `IParticleAgent`

### size

    public IBoid size(double sz)

  Overrides:
    `size` in class `IParticleAgent`

### name

    public IBoid name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IParticleAgent`

### layer

    public IBoid layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IParticleAgent`

### show

    public IBoid show()

  Overrides:
    `show` in class `IParticleAgent`

### hide

    public IBoid hide()

  Overrides:
    `hide` in class `IParticleAgent`

### clr

    public IBoid clr(java.awt.Color c)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(java.awt.Color c,
                     int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(int gray)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(float fgray)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(double dgray)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(int gray,
                     int alpha)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(float fgray,
                     float falpha)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(double dgray,
                     double dalpha)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(int r,
                     int g,
                     int b)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(float fr,
                     float fg,
                     float fb)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(double dr,
                     double dg,
                     double db)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(int r,
                     int g,
                     int b,
                     int a)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(float fr,
                     float fg,
                     float fb,
                     float fa)

  Overrides:
    `clr` in class `IParticleAgent`

### clr

    public IBoid clr(double dr,
                     double dg,
                     double db,
                     double da)

  Overrides:
    `clr` in class `IParticleAgent`

### hsb

    public IBoid hsb(float h,
                     float s,
                     float b,
                     float a)

  Overrides:
    `hsb` in class `IParticleAgent`

### hsb

    public IBoid hsb(double h,
                     double s,
                     double b,
                     double a)

  Overrides:
    `hsb` in class `IParticleAgent`

### hsb

    public IBoid hsb(float h,
                     float s,
                     float b)

  Overrides:
    `hsb` in class `IParticleAgent`

### hsb

    public IBoid hsb(double h,
                     double s,
                     double b)

  Overrides:
    `hsb` in class `IParticleAgent`

### setColor

    public IBoid setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(java.awt.Color c,
                          int alpha)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(int gray)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(float fgray)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(double dgray)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(int gray,
                          int alpha)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(float fgray,
                          float falpha)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(double dgray,
                          double dalpha)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(int r,
                          int g,
                          int b)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(float fr,
                          float fg,
                          float fb)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(double dr,
                          double dg,
                          double db)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(int r,
                          int g,
                          int b,
                          int a)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(float fr,
                          float fg,
                          float fb,
                          float fa)

  Overrides:
    `setColor` in class `IParticleAgent`

### setColor

    public IBoid setColor(double dr,
                          double dg,
                          double db,
                          double da)

  Overrides:
    `setColor` in class `IParticleAgent`

### setHSBColor

    public IBoid setHSBColor(float h,
                             float s,
                             float b,
                             float a)

  Overrides:
    `setHSBColor` in class `IParticleAgent`

### setHSBColor

    public IBoid setHSBColor(double h,
                             double s,
                             double b,
                             double a)

  Overrides:
    `setHSBColor` in class `IParticleAgent`

### setHSBColor

    public IBoid setHSBColor(float h,
                             float s,
                             float b)

  Overrides:
    `setHSBColor` in class `IParticleAgent`

### setHSBColor

    public IBoid setHSBColor(double h,
                             double s,
                             double b)

  Overrides:
    `setHSBColor` in class `IParticleAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD